org.apache.cassandra.utils

## Class NanoTimeToCurrentTimeMillis

- java.lang.Object
- - org.apache.cassandra.utils.NanoTimeToCurrentTimeMillis

-     public class NanoTimeToCurrentTimeMillis
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NanoTimeToCurrentTimeMillis()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `convert(long nanoTime)`
    `static void` | `updateNow()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NanoTimeToCurrentTimeMillis

          public NanoTimeToCurrentTimeMillis()

  - ### Method Detail

    - #### convert

          public static long convert(long nanoTime)

    - #### updateNow

          public static void updateNow()

Copyright © 2018 The Apache Software Foundation